QGIS Application - Bug report #8346

Render caching breaks ctrl-click to expand selection

2013-07-22 10:05 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Map Canvas

Affected QGIS version:master

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 17130

Description

If render caching is enabled, then the selection is not updated when ctrl-clicking to select additional features.

Steps to reproduce:
1. Enable render caching
2. Select a single polygon

3. Hold ctrl, click a second polygon. The visible selection is not updated, but in the background the new feature is selected

Expected behaviour:
The second polygon clicked will be shaded in the selection color

Associated revisions

Revision 343696ae - 2013-07-26 05:15 PM - Matthias Kuhn

Dismiss render cache when selection is modified (Fix #8346)

History

#1 - 2013-07-26 08:15 AM - Matthias Kuhn
- Status changed from Open to Closed

Fixed in changeset commit:"343696ae185c04ffc8cdfa48c2cb02bc85649f93".
